<div class="primary-service-agreement-population">
    <app-content-banner [isDashboard]="false" pageName="Agreement Configuration"></app-content-banner>
    <mat-card class="cap-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
        <div fxLayout="row" class="header-banner">
           <div fxFlex="85" fxLayoutAlign="center center" style="padding: 8px; font-weight: 600;">Primary Service Contract Agreement Population  [ {{numberOfCAP}} ]</div>
          <div fxFlex="15" fxLayoutAlign="end center"><button mat-raised-button color="primary" routerLink="/admin/add-primary-service-contract" routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}">Add New Contract</button></div>
       </div>
      </mat-card-header>
      <mat-card-content>
        <div class="example-small-box mat-elevation-z4" fxLayout="column">
          <div class="table-filters-header" fxLayout="column">
            <div fxLayout="row" fxLayoutAlign="start">
              <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">settings_backup_restore</mat-icon>
                <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>  
              </div>
            </div>
          </div>
          <div class="example-container mat-elevation-z4">
            <ag-grid-angular
              #agGrid id="myGrid"
              style="width: 100%"
              class="ag-theme-balham my-grid"
              [columnDefs]="columnDefs"
              [defaultColDef]="defaultColDef"
              [rowData]="rowData"
              [context]="context"
              [rowSelection]="rowSelection"
              [floatingFilter]="true"
              [animateRows]="true"
              [gridOptions]="gridOptions"
              [pagination]="true"
              [paginationPageSize]="15"
              [frameworkComponents]="frameworkComponents"
              (gridReady)="onGridReady($event)">
            </ag-grid-angular>
            
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
  